<div id="left-menu-wrap" class="side-menu-wrap">

    <nav id="client-menu" class="left-menu">
        <h3>Selectie cliënt</h3>

        <mat-form-field>
            <mat-select value="{{selectedClient}}" #selectClient [ngModel]="selectedClient"
                    placeholder="{{selectedClient?.firstName}} {{selectedClient?.preposition}} {{selectedClient?.lastName}}" (ngModelChange)="setSelectedClient($event)">
                <mat-option *ngFor="let client of clientService.clients$ | async" [value]="client">
                    {{ client.firstName }}
                    {{ client.preposition }}
                    {{ client.lastName }}
                </mat-option>
            </mat-select>
        </mat-form-field>

        <mat-form-field>
            <input matInput id="datepicker" [(ngModel)]="selectedDate" name="selectDate" [matDatepicker]="selectDate" placeholder="Choose a date" (ngModelChange)="setSelectedDate($event)" />
            <mat-datepicker-toggle  matSuffix [for]="selectDate"></mat-datepicker-toggle>
            <mat-datepicker (click)="setSelectedDate($event)" #selectDate startView="month" [startAt]="selectedDate"></mat-datepicker>
        </mat-form-field>

    </nav>

    <nav id="main-menu" class="left-menu">
        <ul>
            <li><a [class.selected]="router.url === '/'" routerLink="/" class="link" >inname cliënt</a></li>
            <li><a [class.selected]="router.url === '/producten'" routerLink="/producten" class="link" >eigen producten</a></li>
            <li><a routerLink="/wistjedat" class="link" >wist je dat</a></li>
            <li><a [class.selected]="router.url === '/admin'" routerLink="/admin" class="link">admin tools</a></li>
        </ul>
    </nav>

    <nav id="user-menu" class="left-menu">
        <a routerLink="/gebruiker" class="button user-link">
            <img class="svg" src="../../../assets/images/user-button-circle.svg" />
        </a>
        <p class="user-greeting">Hello <b>{{firstName}}</b></p>
        <a (click)="logout()" routerLink="/login" class="link logout-link">log uit</a>

    </nav>


</div>
